package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 海报背景图对象 mall_poster_setting
 * 
 * @author ruoyi
 * @date 2023-11-07
 */
public class MallPosterSetting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 海报图id */
    @Excel(name = "海报图id")
    private Integer posterId;

    /** 图片地址 */
    @Excel(name = "图片地址")
    private String image;

    /** 状态(0-正常,1-隐藏) */
    @Excel(name = "状态(0-正常,1-隐藏)")
    private Integer status;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private Integer delFlag;

    public void setPosterId(Integer posterId) 
    {
        this.posterId = posterId;
    }

    public Integer getPosterId() 
    {
        return posterId;
    }
    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("posterId", getPosterId())
            .append("image", getImage())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
